Page MenuHomePhabricator

BiDi: evaluate LRM, RLM, LRE, RLE, LRO, RLE (PDF?) followed by "*", "#", ":", ";" same as "*", "#", ":", ";" at the begining of lines
Closed, DeclinedPublic

Description

Author: gangleri

Description:
Hallo!

I am using the Monobook skin and Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US;
rv:1.7.12) Gecko/20050915 Firefox/1.0.7 .

At [[yi:ייִדישע שפּראַכן]] does not render the first line in the list.

See also
http://yi.wikipedia.org/w/index.php?title=%D7%99%D7%99%D6%B4%D7%93%D7%99%D7%A9%D7%A2_%D7%A9%D7%A4%D6%BC%D7%A8%D7%90%D6%B7%D7%9B%D7%9F&diff=6375&oldid=6336

http://yi.wikipedia.org/w/index.php?title=%D7%99%D7%99%D6%B4%D7%93%D7%99%D7%A9%D7%A2_%D7%A9%D7%A4%D6%BC%D7%A8%D7%90%D6%B7%D7%9B%D7%9F&oldid=6336
renders correctly. Why?

Regards Reinhardt [[user:gangleri]]


Version: 1.6.x
Severity: normal
URL: http://yi.wikipedia.org/w/index.php?oldid=7709&action=edit

Details

Reference
bz3621

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 8:52 PM
bzimport added a project: MediaWiki-Parser.
bzimport set Reference to bz3621.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Oct 6 2005, 11:26 AM

gangleri wrote:

screen dump

Attached:

gangleri wrote:

changed summary to
*BiDi: RTL list not rendered correctly*

brion added a comment.Oct 6 2005, 10:59 PM

It doesn't appear to have actually had the '*' at the beginning of the line,
but rather at the end. (Bidi display in the textarea may show it at the
beginning incorrectly.) Fixing the line, it displays fine.

gangleri wrote:

see bug 3672: BiDi: improuve the diffs with regard to RTL issues

please reopen the bug if necessary

gangleri wrote:

removing dependency
blocks bug 745: RTL/bidirectional issues (tracking)
as this bug is INVALID

gangleri wrote:

reopening this bug with the summary
<s>provide remedies against Firefox bug 119860 and Firefox bug 171519</s>
BiDi: evaluate LRM, RLM, LRE, RLE, LRO, RLE (PDF?) followed by "*", "#", ":",
";" same as "*", "#", ":", ";" at the begining of lines
changing url

Please read
https://bugzilla.mozilla.org/show_bug.cgi?id=119860#c19

[bug Bugzilla 119860] Incorrect caret position when writing in Hebrew forms

https://bugzilla.mozilla.org/show_bug.cgi?id=171519

[bug Bugzilla 171519] Mac: Problems editing Hebrew text in forms

at
https://bugzilla.mozilla.org/show_bug.cgi?id=119860#c19
you find

  • [[&#1497;&#1497;&#1460;&#1491;&#1497;&#1513;]]

&#8235;* [[&#1497;]]
&#8235;* [[&#1497;&#1460;]]
&#8235;* [[&#1491;]]
&#8235;* [[&#1497;]]
&#8235;* [[&#1513;]]
&#8235;* [[&#1497;&#1497;&#1460;&#1491;&#1497;&#1513;]]

  • [[&#1506;&#1489;&#1471;&#1512;&#1497;&#1514;]]

&#8235; is
Unicode Character RIGHT-TO-LEFT EMBEDDING - U+202B
HTML Entity (decimal) &#8235; – (hex) &#x202b;
UTF-8 (hex) 0xE2 0x80 0xAB (e280ab) %E2%80%AB %e2%80%ab

It takes precious time to get such pages fixed. Moving the curser trough the
editbox does not allow users / visitors to identify the problem. After several
After many "trial and error" they will stop editing RTL wiki's.

*workarounds*
see summary
I think that the implementation of the request would not brake any page. For
compatibility it can be keept in the code also after the Firefox bugs are fixed.

*help / debugging tool*
A feature as described at
bug 4012: Add flexible magic character conversion to the user interface
would help to save time. It shows you what characters are in the editbox.

best regards reinhardt [[user:gangleri]]

P.S. About cursor movement: You need some time and experience to get skilled
with the cursor movements over whitespace and BiDi general punctuation
characters. It is not the scope of this report to describe that here.

gangleri wrote:

*note*

I am not able to see the RLE character in the original url
http://yi.wikipedia.org/w/index.php?oldid=6375 using view page source. RLE is
there as Unicode abd *not* as &#8235; . If there would be a way to see view page
source in Unicode it would be easier. I will open such a bug at
bugzilla.mozilla.org .

gangleri wrote:

(In reply to comment #6)

*help / debugging tool*
A feature as described at
bug 4012: Add flexible magic character conversion to the user interface
would help to save time. It shows you what characters are in the editbox.

*help / debugging tools*
easier to do:
Non-UTF-8 wikis contained at some point in time a special page named "makeutf-8"
or similar.
This special page would still be very helpfull if activated.

gangleri wrote:

(In reply to comment #6)

at
https://bugzilla.mozilla.org/show_bug.cgi?id=119860#c19
you find

  • [[&#1497;&#1497;&#1460;&#1491;&#1497;&#1513;]]

&#8235;* [[&#1497;]]
&#8235;* [[&#1497;&#1460;]]
&#8235;* [[&#1491;]]
&#8235;* [[&#1497;]]
&#8235;* [[&#1513;]]
&#8235;* [[&#1497;&#1497;&#1460;&#1491;&#1497;&#1513;]]

  • [[&#1506;&#1489;&#1471;&#1512;&#1497;&#1514;]]

Please see the note at
http://landfill.bugzilla.org/bugzilla-tip/show_bug.cgi?id=3298

The whole trouble might relate to how "copy and paste" works in XP SP2 and FF.
If the clipboard is "automatically" embeded with punctuation characters "copy
and paste" is more or less useless without the ability to see / verify what *is*
/ what will be *realy* in the page source.

gangleri wrote:

(In reply to comment #7)

... If there would be a way to see view page
source in Unicode it would be easier. I will open such a bug at
bugzilla.mozilla.org .

https://bugzilla.mozilla.org/show_bug.cgi?id=321444

[Bug Bugzilla 321444] Visualization of BiDi control, Unicode whitespace and

invalid Unicode characters when pasting text from clopboard into editbox, textarea

I suggest closing it. I see no reason to have RLM/LRM in the beginning of the line before * or #.

Closing WORKSFORME based on Comment #11

Restricted Application added a project: I18n. · View Herald TranscriptJun 2 2015, 2:21 PM